<?xml version="1.0" encoding="utf-8"?>
<!--
Copyright (c) 2023 Qualcomm Innovation Center, Inc. All rights reserved.
SPDX-License-Identifier: BSD-3-Clause-Clear
-->

<!-- This is PerfConfigsStore file which returns the value when a
particular property name is invoked -->

<!-- This file supports only Prop tag, which has the following fields
* Name, to identify the name of the property. The names of the
properties have been classified into Vendor and System property.
* Value, the new value to be returned as string when respective
property Name is called. -->

<!--__________________________________Example format_______________________________________________
<Prop Name="vendor.debug.enable.lm" Value="true" Target="lagoon" Variant="lito" Resolution="1080p"
 Ram="3" Kernel="4.19"/>
    Target: target code name (decided based on soc id, doesn't depend on lunch combo name)
            ex: lito, lagoon, kona, etc
    Variant: For Variants of Target go/32bit/64bit/nongo, examples below
               Variant=bengal_32go  -> bengal 32 bit go target
               Variant=bengal_32    -> bengal 32 bit target
               Variant=bengal       -> bengal 64 bit target
    Resolution="1080p", "2560", "720p", "HD+"
    Kernel: kernel version, examples: "4.19", "5.4", etc
    Ram: ram size in GB, examples: "1","2","3","4","6","8","10","12" (12 for target with >= 12GB of RAM as well)
_______________________________________________________________________________________________ -->

<PerfConfigsStore>
    <PerfConfigs>

                <!--Vendor Properties -->
                <Prop Name="vendor.iop.enable_uxe" Value="1" />
                <Prop Name="vendor.debug.enable.lm" Value="true" />
                <Prop Name="vendor.perf.iop_v3.enable" Value="true" Target="lahaina" />
                <Prop Name="vendor.perf.iop_v3.enable.debug" Value="false" />
                <Prop Name="vendor.enable.prefetch" Value="false" />
                <Prop Name="vendor.iop.enable_prefetch_ofr" Value="false" />
                <Prop Name="vendor.iop.enable_speed" Value="true" />
                <Prop Name="vendor.perf.fps_switch_hyst_time_secs" Value="10" />
                <Prop Name="ro.vendor.perf.enable.prekill" Value="false" Target="lahaina" />
                <Prop Name="ro.vendor.perf.splh" Value="none" Target="lahaina" />

                <!--System Properties -->
                <Prop Name="ro.lmk.kill_heaviest_task_dup" Value="true" />
                <Prop Name="ro.lmk.kill_timeout_ms_dup" Value="100" />
                <Prop Name="ro.lmk.thrashing_threshold" Value="30" />
                <Prop Name="ro.lmk.thrashing_decay" Value="5" />
                <Prop Name="ro.lmk.nstrat_low_swap" Value="10" />
                <Prop Name="ro.lmk.nstrat_psi_partial_ms" Value="70" />
                <Prop Name="ro.lmk.nstrat_psi_complete_ms" Value="70" />
                <Prop Name="ro.lmk.psi_scrit_complete_stall_ms" Value="75" />
                <Prop Name="ro.lmk.nstrat_wmark_boost_factor" Value="4" />
                <Prop Name="vendor.perf.gestureflingboost.enable" Value="true" />
                <Prop Name="ro.vendor.qti.sys.fw.bg_apps_limit" Value="96" />
                <Prop Name="ro.vendor.at_library" Value="libqti-at.so" />
                <Prop Name="vendor.perf.performancemode.support" Value="true" Target="lahaina" />
                <Prop Name="ro.lmk.enable_preferred_apps" Value="true" />
                <Prop Name="vendor.appcompact.enable_app_compact" Value="true" />
                <Prop Name="vendor.appcompact.full_compact_type" Value="2" />
                <Prop Name="vendor.appcompact.some_compact_type" Value="2" />
                <Prop Name="vendor.appcompact.compact_throttle_somesome" Value="5000" />
                <Prop Name="vendor.appcompact.compact_throttle_somefull" Value="10000" />
                <Prop Name="vendor.appcompact.compact_throttle_fullsome" Value="500" />
                <Prop Name="vendor.appcompact.compact_throttle_fullfull" Value="10000" />
                <Prop Name="vendor.appcompact.compact_throttle_bfgs" Value="600000" />
                <Prop Name="vendor.appcompact.compact_throttle_persistent" Value="600000" />
                <Prop Name="vendor.appcompact.rss_throttle_kb" Value="12000" />
                <Prop Name="vendor.appcompact.delta_rss_throttle_kb" Value="8000" />
                <Prop Name="vendor.perf.topAppRenderThreadBoost.enable" Value="false" Target="lahaina" />
                <Prop Name="ro.lmk.enable_userspace_lmk" Value="true" />
                <Prop Name="vendor.perf.phr.enable" Value="1" Target="lahaina"/>
                <Prop Name="vendor.perf.phr.hr_min_rate" Value="0.5" Target="lahaina"/>
                <Prop Name="vendor.perf.pfar2.enable" Value="1" Target="lahaina"/>
                <Prop Name="vendor.perf.pfar2.boost_level" Value="1" Target="lahaina"/>
                <Prop Name="vendor.perf.pfar2.disable_pl" Value="1" Target="lahaina"/>
                <Prop Name="vendor.perf.pfar2.disable_core_ctl" Value="1" Target="lahaina"/>
                <Prop Name="ro.vendor.perf.qgpe" Value="true"/>
                <Prop Name="ro.vendor.perf.qhf" Value="true" Target="lahaina"/>
                <Prop Name="ro.vendor.perf.qape" Value="true" Target="lahaina"/>

    </PerfConfigs>
</PerfConfigsStore>
